/*********************************************************/
//	NkILSamplePreferenceDlg.h
//		Header file of Preference dialog class.
//
//	Copyright(c) 2007, Nikon Corporation - All rights reserved.
/*********************************************************/
#pragma once

#include "resource.h"

class CNkILSamplePreferenceDlg : public CDialog
{
	DECLARE_DYNAMIC(CNkILSamplePreferenceDlg)

public:
	CNkILSamplePreferenceDlg(CWnd* pParent = NULL);   
	virtual ~CNkILSamplePreferenceDlg();
	
// dialog data
	enum { IDD = IDD_DIALOG_PREFERENCE };

	void	GetPreferenceData( CString* pstrTempPath, unsigned long* pulVMMemSize );
	void	SetPreferenceData( CString strTempPath, unsigned long ulVMMemSize );

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	afx_msg void OnSelectFile();
	afx_msg BOOL OnInitDialog();
	afx_msg void OnUpdateEdit();
	afx_msg void OnKillFocusEdit();

	DECLARE_MESSAGE_MAP()
	
	CString			m_strFilePath;
	unsigned long	m_ulMemSize;
	unsigned long	m_ulDefMemSize;
};
